package com.fs.starfarer.api.impl.campaign.rulecmd;

import kaysaar.aotd_question_of_loyalty.data.models.AoTDHandleBonusesFromBeingRetired;
import com.fs.starfarer.api.EveryFrameScript;
import kaysaar.aotd_question_of_loyalty.data.scripts.crisisalt.ActivityCrisisRemover;
import com.fs.starfarer.api.Global;
import kaysaar.aotd_question_of_loyalty.data.scripts.AoTDPensionFund;
import kaysaar.aotd_question_of_loyalty.data.intel.AoTDCommIntelPlugin;
import java.awt.Color;
import com.fs.starfarer.api.campaign.rules.MemoryAPI;
import java.util.Map;
import com.fs.starfarer.api.util.Misc;
import java.util.List;
import com.fs.starfarer.api.campaign.InteractionDialogAPI;

public class AoTDRetirementOption extends BaseCommandPlugin
{
    public static String memKey;
    
    public boolean execute(final String ruleId, final InteractionDialogAPI dialog, final List<Misc.Token> params, final Map<String, MemoryAPI> memoryMap) {
        final String command = params.get(0).getString((Map)memoryMap);
        if (command == null) {
            return false;
        }
        if (command.equals("init")) {
            dialog.getOptionPanel().clearOptions();
            dialog.getTextPanel().addPara("\"想出去闯闯丰富一下见识？\"");
            dialog.getTextPanel().addPara("对方顿了顿.");
            dialog.getTextPanel().addPara("\"我们可以帮你走解约手续.\"");
            dialog.getTextPanel().addPara("对方在他的速子科技面板上给你展示了一份退休方案.");
            dialog.getTextPanel().addPara("\"首先，我代表所有人感谢你在 %s的岗位上为我们的付出, 并且会给你提供价值 %s的退休金.\"", Color.ORANGE, new String[] { AoTDCommIntelPlugin.get().getCurrentRankData().name, Misc.getDGSCredits(AoTDCommIntelPlugin.get().getCreditsForRetirement()) });
            dialog.getTextPanel().addPara("\"毫无疑问，即使暂时选择离开，您在过去为我们事业做出的巨大贡献依旧值得我们铭记，如果您找到了更好的归宿，我们会充分尊重您的个人意愿，并停止我们势力对您的退休金补助.\"");
            dialog.getTextPanel().addPara("\"但是依旧要郑重提醒您，如果您的新东家包含一些不那么……友善的势力，我们同样会视自己的需求采取必要的敌对措施，到时候恐怕就要战场上见真章了.\"");
            dialog.getTextPanel().addPara("\"我要说的就这么多，所以你的决定呢?\"");
            dialog.getOptionPanel().addOption("Confirm", (Object)"aotd_confirm_retirement");
            dialog.getOptionPanel().addOption("我可能得再想想..", (Object)"aotd_cancel_retirement");
        }
        if (command.equals("proceed")) {
            new AoTDPensionFund(AoTDCommIntelPlugin.get().getCurrentlyCommisonedFaction().getId(), AoTDCommIntelPlugin.get().getCreditsForRetirement(), AoTDCommIntelPlugin.get().getCurrentRankData().getId());
            Global.getSector().addScript((EveryFrameScript)new ActivityCrisisRemover());
            AoTDHandleBonusesFromBeingRetired.applyTTDeal(dialog);
            AoTDCommIntelPlugin.get().endCommision(dialog, false);
        }
        return true;
    }
    
    static {
        AoTDRetirementOption.memKey = "$aotd_retired_from";
    }
}
